## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanParsedSourceHelper Class Reference

`#include <XalanParsedSource.hpp>`

Inheritance diagram for XalanParsedSourceHelper

List of all members.

## Public Methods

- virtual ~XalanParsedSourceHelper ()
- virtual DOMSupport& getDOMSupport () = 0
    Get the DOMSupport instance. More...
- virtual XMLParserLiaison& getParserLiaison () = 0
    Get the XMLParserLiaison instance. More...

## Constructor & Destructor Documentation

XalanParsedSourceHelper::~XalanParsedSourceHelper ( | )`[virtual]`

## Member Function Documentation

DOMSupport & XalanParsedSourceHelper::getDOMSupport ( | )`[pure virtual]`

Get the DOMSupport instance.

Returns:
  A reference to a DOMSupport instance.

Reimplemented in XalanDefaultParsedSourceHelper, and XercesDOMParsedSourceHelper.

XMLParserLiaison & XalanParsedSourceHelper::getParserLiaison ( | )`[pure virtual]`

Get the XMLParserLiaison instance.

Returns:
  A rerefernce to an XMLParserLiaison instance.

Reimplemented in XalanDefaultParsedSourceHelper, and XercesDOMParsedSourceHelper.

The documentation for this class was generated from the following file:

- XalanParsedSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.